Name:           perl-capitalization
Version:        0.03
Release:        3%{?dist}
Summary:        No capitalization on method names

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/capitalization
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/capitalization-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Devel::Symdump)

%description
%{summary}.

%prep
%setup -q -n capitalization-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.03-3
- Rebuild for perl-5.8.8.

* Wed Oct 21 2005  Ralf Corsépius <rc040203@freenet.de>
- Fix URL.

* Wed Oct 19 2005  Ralf Corsépius <rc040203@freenet.de> - 0.03-2
- Add Paul's proposals.

* Tue Oct 10 2005  Ralf Corsépius <rc040203@freenet.de> - 0.03-1
- Initial package.
- FE submission.
 